目录

Overview

The app server calls this API to query the execution progress of the export task in HUAWEI Analytics Kit. If the task processing is complete, the app server needs to download data within a specified period (currently six hours) and provide the data for end users.

Scenario

After the app server calls the interface that creates a user data export task, the Analytics Kit server will asynchronously export the data. The app server needs to periodically query the export task status so that it can download the exported data for the end user in a timely manner.

Restrictions

Interface Prototype

Protocol

HTTP GET

Direction

HUAWEI Analytics Kit server -> Developer callback API server

URL

GET https://<URI>/analytics/gdpr/user_data_export_tasks/v2

Data Format

Request: Content-Type: application/json

Response: Content-Type: application/json

Request

Table1 Request body
ParameterMandatory/OptionalTypeDescription

aaid

Mandatory

string

User device ID, which can be obtained through the getAAID interface on the device side.

Response

Table2 Response body
ParameterTypeDescription

result_code

String

Result code. For details, please refer to Result Codes.

result_msg

String

Response description.

task_list

TaskList

Task list.

Table3 TaskList parameters
ParameterMandatory/OptionalTypeDescription

request_id

Mandatory

String

Request ID.

request_time

Mandatory

DateTime

Request time.

status

Mandatory

String

Task status:

  • EXPORTING: exporting

  • PENDING: waiting for export

  • EXPORTED: exported successfully

  • NO_DATA: no user data available

  • QUERY_FAILED: query failed

  • DATAPUSH_FAILED: export failed

file_path

Optional

String

Download path of an electronic copy. This parameter is valid only when the task status is EXPORTED.

status_time

Optional

DateTime

Last status update time.

Response Example

  1. HTTP/1.1 200 OK
  2. Content-Type: application/json; charset=UTF-8
  3. Connection:  Close
  4. Content-Length: xxxx                      
  5. {
  6.  "result_code":"0",
  7.  "result_msg":"success",
  8.  "task_list":[{
  9.    "request_id":"12345678",
  10.    "request_time":"datetime",
  11.    "status":"EXPORTED",
  12.    "status_time":"datetime",
  13.    "file_path":"https://xxx/xxx.xx"
  14.  }]
  15. }

Result Codes

Status CodeResult CodeResponse CodeDescriptionSuggestion

200

0

Success

Request succeeded.

-

400

10020

invalidParameter

Invalid parameter.

Check and correct the parameter value.

400

10008

tooFrequentRequest

Data export requests are too frequent.

Display a message indicating that data export requests are excessively frequent and asking the user to try again later.

Call Example

  1. GET /analytics/gdpr/user_data_export_tasks/v2?aaid=sample-aaid HTTP/1.1
  2. Content-Type: application/json; charset=UTF-8
  3. Content-Length: xxxx
  4. Accept: application/json
  5. Authorization: Bearer 78C2395236BBF4262CAE4F1172E327C2929AD63EAA0395961A49DEBC3B6F8339
  6. x-product-id: sample-productid
  7. x-app-id: sample-appid